## ninvaders 0.1.1

=== Makefile ===
CC=gcc
CFLAGS=-O3 -Wall
LIBS=-lncurses

CFILES=globals.c view.c aliens.c ufo.c player.c nInvaders.c
HFILES=globals.h view.h aliens.h ufo.h player.h nInvaders.h
OFILES=globals.o view.o aliens.o ufo.o player.o nInvaders.o
all:		nInvaders

nInvaders: 	$(OFILES) $(HFILES)
		$(CC) $(LDFLAGS) -o$@ $(OFILES) $(LIBS)

.c.o:
		$(CC) -c  -I. $(CFLAGS) $(OPTIONS) $<
clean:
		rm -f nInvaders $(OFILES)

=== debian/changelog ===
ninvaders (0.1.1-6) unstable; urgency=low

  * Fixes for GCC 15 compatibility.  Closes: #1097466.
  * Use dh_auto_build to support cross-compilation.  Closes: #901065.
    Thanks for Helmut Grohne for the patch.

 -- Matt Palmer <mpalmer@debian.org>  Wed, 24 Sep 2025 09:39:53 +1000

ninvaders (0.1.1-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.  Closes: #1043218.
  * Bump debhelper compat to 10.

 -- Matt Palmer <mpalmer@debian.org>  Wed, 30 Aug 2023 11:38:36 +1000

ninvaders (0.1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998969).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 19:02:56 -0300

ninvaders (0.1.1-4) unstable; urgency=low

  * Fix build problems for gcc-10.  Closes: #957609.

 -- Matt Palmer <mpalmer@debian.org>  Thu, 23 Jul 2020 17:35:50 +1000

ninvaders (0.1.1-3) unstable; urgency=low

  * Fix overflow in lowest_ship array.  Closes: #597036
    Thanks to Matt Chapman for the bug report and patch.
  * Time for a packaging overhaul:
    - Bump to dh compat level 7.
    - Bump standards-version to 3.9.1; no specific changes required.
    - Add the now-necessary misc:Depends.
    - Strip DH_COMPAT from debian/rules; move it to debian/compat.
    - Move menu entry to Games/Action, and quote all values.
    - Use dh_prep instead of dh_clean -k.
    - Don't ignore make clean errors in the clean target.
    - Enhance the copyright file.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 05 Oct 2010 13:21:26 +1100

ninvaders (0.1.1-2) unstable; urgency=low

  * Convert everything in the package to refer to the binary and related
    materials (manpage) in the lowercase form (ninvaders).  Closes: #300508.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 29 Sep 2005 20:26:34 +1000

ninvaders (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Standards version bumped to 3.6.0.
  * Build-depends on debhelper 4.

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 13 Jul 2003 22:57:37 +1000

ninvaders (0.0.8-6) unstable; urgency=low

  * Converted great honking multi-line strings into something which GCC 3.3
    can (hopefully) handle.  Whoever thought that new feature was an
    improvement should be hanged.  Closes: #195161.
  * Changed strings.h to string.h, because strings.h is not what was wanted.

 -- Matthew Palmer <mpalmer@debian.org>  Sun,  1 Jun 2003 17:48:04 +1000

ninvaders (0.0.8-5) unstable; urgency=low

  * Bumped standards-version to 3.5.7.

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 22 Sep 2002 16:57:47 +1000

ninvaders (0.0.8-4) unstable; urgency=low

  * Developed patch to make the bunkers disappear one line at a time.  Due
    to the code, it will not be easily possible to make the bunkers
    disappear as the aliens reach them, so this will have to do.
    (Closes: #154330)

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 22 Sep 2002 16:33:45 +1000

ninvaders (0.0.8-3) unstable; urgency=low

  * Patched to replace the whole text of the GPL (!) with a function to
    print the GPL based on the text in /usr/share/common-licenses/GPL.
    Thanks to Pete de Zwart for the patch.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 30 Jul 2002 17:00:19 +1000

ninvaders (0.0.8-2) unstable; urgency=low

  * Changed description in line with bug #154330.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 26 Jul 2002 18:53:58 +1000

ninvaders (0.0.8-1) unstable; urgency=low

  * Initial Release. (Closes: #153703)

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 21 Jul 2002 09:59:21 +1000

=== debian/control ===
Source: ninvaders
Section: games
Priority: optional
Maintainer: Matthew Palmer <mpalmer@debian.org>
Build-Depends: debhelper (>= 10), libncurses5-dev
Standards-Version: 3.9.1

Package: ninvaders
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A space invaders-like game using ncurses
 A Space Invaders type game with text-only graphics.  Ever wanted to play
 space invaders when you can't find a GUI?  Now you can.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/ninvaders.
	cp nInvaders $(CURDIR)/debian/ninvaders/usr/games/ninvaders

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do here.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installmenu
	dh_installman debian/ninvaders.1
	dh_link
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
